Bug 1254855 - Reboot fail after NIC hot-unplug inside win10 guest
Reboot fail after NIC hot-unplug inside win10 guest
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.2
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks: 1288337
  Show dependency treegraph
 
Reported: 2015-08-19 01:46 EDT by weliao
Modified: 2017-01-11 02:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 02:26:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weliao 2015-08-19 01:46:51 EDT
Description of problem:
Test with windows 10 guest, after NIC hot-unplug from host, reboot guest,boot failed.

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-101.el7.x86_64
3.10.0-305.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.NIC hot-unplug from host
(qemu) device_del net0
(qemu) netdev_del hostnet0
2.Reboot guest

Actual results:
boot fail as attachment

Expected results:
boot success

Additional info:
/usr/libexec/qemu-kvm -name win10qcow2 -M pc-i440fx-rhel7.0.0 -cpu SandyBridge -m 4096 -realtime mlock=off -smp 4 \
-device virtio-scsi-pci,id=scsi2,indirect_desc=off,event_idx=off,bus=pci.0 \
-drive file=/mnt/win10.qcow2,if=none,id=drive-scsi-disk0,format=qcow2 \
-device scsi-hd,bus=scsi2.0,drive=drive-scsi-disk0,id=scsi-disk0,bootindex=1 \
-netdev tap,id=hostnet0  -\
device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:88:66:77:88:66,bus=pci.0,addr=0x3 \
-device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x5 -spice port=6800,disable-ticketing, -monitor stdio -qmp tcp:0:4444,server,nowait
Comment 3 weliao 2015-08-19 05:44:41 EDT
Test in qemu-img-rhev-2.3.0-18.el7.x86_64 , no this issue
Comment 7 ybendito 2016-12-14 13:13:40 EST
Please check whether the same problem happens if used rtl8139 instead of virtio-net-pci
Comment 8 weliao 2016-12-15 02:43:41 EST
retest with qemu-kvm-1.5.3-126.el7.x86_64 ,used rtl8139 and virtio-net-pci, all can not reproduced this issue.

seems the result is good.
Comment 10 weliao 2017-01-11 02:26:15 EST
Please be free to reopen it if there is anything wrong.

Note You need to log in before you can comment on or make changes to this bug.